Package org.eclipse.m2m.atl.adt.ui.outline

# Class AtlContentProvider

java.lang.Object
org.eclipse.m2m.atl.adt.ui.outline.AtlContentProvider

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`

public class AtlContentProvider extends Object implements org.eclipse.jface.viewers.ITreeContentProvider

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.jface.viewers.TreeViewer`
`viewer`

## Constructor Summary

Constructors
Constructor
Description
`AtlContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Object[]`
`getChildren(Object parentElement)`
`Object[]`
`getElements(Object inputElement)`
`Object`
`getParent(Object element)`
`boolean`
`hasChildren(Object element)`
`void`
`inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### viewer

protected org.eclipse.jface.viewers.TreeViewer viewer

## Constructor Details

### AtlContentProvider

public AtlContentProvider()

## Method Details

### getChildren

public Object[] getChildren(Object parentElement)

Specified by:
  `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  - `ITreeContentProvider.getChildren(java.lang.Object)`

### getParent

public Object getParent(Object element)

Specified by:
  `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  - `ITreeContentProvider.getParent(java.lang.Object)`

### hasChildren

public boolean hasChildren(Object element)

Specified by:
  `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  - `ITreeContentProvider.hasChildren(java.lang.Object)`

### getElements

public Object[] getElements(Object inputElement)

Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
Specified by:
  `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
See Also:
  - `IStructuredContentProvider.getElements(java.lang.Object)`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  - `IContentProvider.dispose()`

### inputChanged

public void inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)

Specified by:
  `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
See Also:
  - `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`